Subject: Make git-send-email detect mbox-style patches more readily

From: Matthew Wilcox <[email-masked]>
Date: Fri, 6 Oct 2006 14:24:14 -0600

Earlier today, I embarrassed myself by trying to construct a patch that
git-send-email would send, and I missed out the putting

>>From garbage

line on the front, which led it to send the patches with a
Subject: From: Matthew Wilcox <[email-masked]>
line.  Bad.

This patch makes git-send-email detect an mbox-style file more readily,
and correctly handles the patches I constructed.

--- git-core-willy/git-send-email.perl	2006-07-24 23:45:08.000000000 -0400
+++ git-core-1.4.1.1/git-send-email.perl	2006-10-06 16:02:37.000000000 -0400
@@ -451,6 +451,7 @@
 		if (!$header_done) {
 			$found_mbox = 1, next if (/^From /);
 			chomp;
+			$found_mbox = 1 if (/^(From|Date|Cc|Subject):/);
 
 			if ($found_mbox) {
 				if (/^Subject:\s+(.*)$/) {